%define name xmms-ao
%define tarball_name xmmsao
%define version 0.7
%define release %mkrel 6

Summary:		Output plugin for xmms using libao2
Name:			%{name}
Version:		%{version}
Release:		%{release}
Source:			%{tarball_name}-%{version}.tar.bz2
License:		GPL
Group:			Sound
Requires:		xmms
BuildRequires:		xmms-devel, libao-devel, gtk+-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot
Obsoletes:		xmmsao <= 0.6
Provides:		xmmsao > 0.6

%description
An xmms output plugin that uses the ao audio output library.  The great
benefit of this is that, whether your sound system is OSS, ALSA, ESD, or
aRts, the sound will work.  You can (pressing stop in-between) switch among
those, and the plugin will adapt.  It is ideal for users who switch regularly
between desktop environments or for admins who are tired of fielding "why
doesn't xmms-esd work in KDE?" questions.

xmms-ao should support most effect plugins.  As this plugin outputs to a
generic library, an output plugin which operates closer to the actual output
system may be preferable in some cases.

%prep
%setup

%build
%make CC="gcc -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/xmms/Output
cp libaoout.so $RPM_BUILD_ROOT/%{_libdir}/xmms/Output

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root,0755)
%doc COPYING
%{_libdir}/xmms/Output/libaoout.so



%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7-6mdv2009.0
+ Revision: 262512
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7-5mdv2009.0
+ Revision: 257206
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7-3mdv2008.1
+ Revision: 130340
- kill re-definition of %%buildroot on Pixel's request


* Fri Jan 13 2006 Gtz Waschk <waschk@mandriva.org> 0.7-3mdk
- fix build on x86_64
- fix buildrequires

* Thu Jun 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7-2mdk
- Rebuild

* Sun Mar 07 2004 Levi Ramsey <levi@cygnetnet.net> 0.7-1mdk
- Various volume/amplification fixes/enhancements
- Name changed to better comply with mdk policy
- Summary and Description fixes for rpmlint...

* Sat Dec 13 2003 Levi Ramsey <levi@cygnetnet.net> 0.6-2mdk
- Rebuild for new libao2
- Back out Patch0 (merged into libao2)

* Thu Jul 03 2003 Levi Ramsey <levi@cygnetnet.net> 0.6-1mdk
- New version (volume control, new configuration options, fix a nasty
  bug)
- Re-enable debug package (per Per Oyvind's suggestion)

* Sat Jun 21 2003 Levi Ramsey <levi@cygnetnet.net> 0.5-1mdk
- New version (file output)
- disable debug package

* Wed May 28 2003 Levi Ramsey <levi@cygnetnet.net> 0.4-1mdk
- New version (configuration dialog)

* Fri Apr 25 2003 Levi Ramsey <levi@cygnetnet.net> 0.3-2mdk
- BuildRequires gtk+-devel (thx to Stefan)

* Thu Apr 24 2003 Levi Ramsey <levi@cygnetnet.net> 0.3-1mdk
- New version
- Should now be somewhat usable... :-)
- optflags upped to O2

* Thu Apr 17 2003 Levi Ramsey <levi@cygnetnet.net> 0.2-1mdk
- New version
- Effect plugins now supported (at least most of them...)
- Buffering support disabled; to enable, edit #defines in audio.c
- Specfile changes: edited description, removed URL tag

* Wed Apr 02 2003 Levi Ramsey <levi@cygnetnet.net> 0.1-1mdk
- Initial cooker contrib
- A Mandrake exclusive!!
- Patch0: allow building until ao.h (in package libao2-devel) includes
	stdio.h

